Skip to main content
POST
/
v2
/
locations
Creates a new location.
curl --request POST \
  --url https://api.spirii.com/v2/locations \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Example Location",
  "address": "123 Charging St, City, Country",
  "postalCode": "00123",
  "city": "Copenhagen",
  "countryCode": "DK",
  "coordinates": {
    "latitude": 55.6761,
    "longitude": 12.5683
  },
  "publish": true,
  "facilities": [
    "WIFI",
    "RESTROOM"
  ],
  "parkingType": "ON_STREET",
  "ownerId": 1234,
  "customerId": 1234,
  "tariffId": "58652fe8-d840-4aa4-bb4f-3ebd944df9d6",
  "legacyTariffId": 12345678,
  "allowPriorityCharging": true,
  "billingReference": "Identifier text"
}
'
{
  "id": 123456,
  "name": "Example Location",
  "address": "123 Charging St, City, Country",
  "postalCode": "00123",
  "city": "Copenhagen",
  "countryCode": "DK",
  "partyId": "SPI",
  "coordinates": {
    "latitude": 55.6761,
    "longitude": 12.5683
  },
  "publish": true,
  "evses": [
    {
      "uid": 123456,
      "evseId": "DK.12343*1",
      "chargeboxId": 123,
      "status": "CHARGING",
      "connectors": [
        {
          "id": 1,
          "standard": "CHADEMO",
          "format": "SOCKET",
          "powerType": "DC",
          "maxElectricPower": 22,
          "maxAmperage": 32,
          "maxVoltage": 400,
          "tariffIds": [
            "58652fe8-d840-4aa4-bb4f-3ebd944df9d6"
          ],
          "error": {
            "errorCode": "UnderVoltage",
            "info": "NO_VOLTAGE_L2_L3",
            "vendorErrorCode": "134217728"
          },
          "deletedAt": "2025-01-27 09:38:41"
        }
      ]
    }
  ],
  "operator": {
    "name": "ChargedUp Inc.",
    "website": "https://spirii.com"
  },
  "lastUpdated": "2025-01-27 09:38:41",
  "allowPriorityCharging": true,
  "parkingType": "ON_STREET",
  "facilities": [
    "WIFI",
    "RESTROOM"
  ],
  "directions": [
    {
      "text": "Public info goes here",
      "language": "en"
    }
  ],
  "openingTimes": {
    "twentyFourSeven": false,
    "regularHours": [
      {
        "weekday": 1,
        "periodBegin": "08:00",
        "periodEnd": "17:00"
      }
    ]
  },
  "owner": {
    "name": "ChargedUp Inc.",
    "website": "https://spirii.com"
  },
  "customer": {
    "id": 123456
  },
  "energyMix": {
    "isGreenEnergy": false
  },
  "helpPhone": "4550505050",
  "billingReference": "Identifier text"
}

Authorizations

Authorization
string
header
required

Authorization: Bearer <SPIRII_API_KEY>

Body

application/json
name
string
required

Location name

Example:

"Example Location"

address
string
required

Street address of the location

Example:

"123 Charging St, City, Country"

postalCode
string
required

Postal code

Example:

"00123"

city
string
required

City name

Example:

"Copenhagen"

countryCode
string
required

ISO-31661 alpha-2 country code of the CPO that 'owns' this location.

Example:

"DK"

coordinates
object
required

Geographical coordinates of the location

publish
boolean
required

Defines if a location may be published on websites & apps etc. This will be true for public locations

Example:

true

facilities
enum<string>[]

List of available facilities at the location

Available options:
HOTEL,
RESTAURANT,
CAFE,
MALL,
SUPERMARKET,
SPORT,
RECREATION_AREA,
NATURE,
MUSEUM,
BIKE_SHARING,
BUS_STOP,
TAXI_STAND,
TRAIN_STATION,
METRO_STATION,
AIRPORT,
PARKING_LOT,
CARPOOL_PARKING,
FUEL_STATION,
WIFI,
RESTROOM,
SHOWER,
CAR_WASH,
SHOPPING_AREA,
MEDICAL_CENTER,
HOTEL_RESERVATION,
TICKET_SERVICE,
PUBLIC_TRANSPORT
Example:
["WIFI", "RESTROOM"]
openingTimes
object

The times when the EVSEs at the location can be accessed for charging

parkingType
enum<string>
default:ON_STREET

Type of parking available.

The mapping of the parkingType to the Spirii location Type is visible in the table below:

[ParkingType] - [Spirii Location Type]

ON_STREET - Public road

ON_DRIVEWAY - Residential

PARKING_LOT - Parking lot

PARKING_GARAGE - Parking lot (indoor)

UNDERGROUND_GARAGE - Parking lot (underground)

OTHER - Hotel

Available options:
ON_STREET,
PARKING_GARAGE,
UNDERGROUND_GARAGE,
PARKING_LOT,
OTHER,
ON_DRIVEWAY
Example:

"ON_STREET"

ownerId
number

Legacy ID of the customer that 'owns' the location. An 'owner' represents a 'customer' in the Spirii Connect portal/UI. While the term 'ownerId' is outdated, this ID is retained for backward compatibility with legacy systems.

Example:

1234

customerId
number

ID of the customer that 'owns' the location. The 'customerId' is the unique identifier for a customer. The 'customer' can be found in the Connect Customer management page. This customer ID corresponds with the customer ID that can be retrieved from the Customer v2 API.

Example:

1234

tariffId
string

Uniquely identifies the tariff within the CPO’s platform

Example:

"58652fe8-d840-4aa4-bb4f-3ebd944df9d6"

legacyTariffId
number
deprecated

The tariff displayed for all the users who are using older versions of the app

Example:

12345678

allowPriorityCharging
boolean

If a location allows priority charging

Example:

true

billingReference
string

An optional identifier used to reference specific charging sessions or transactions in invoices

Example:

"Identifier text"

Response

id
number
required

ID that Uniquely identifies the location

Example:

123456

name
string
required

Location name

Example:

"Example Location"

address
string
required

Street address of the location

Example:

"123 Charging St, City, Country"

postalCode
string
required

Postal code

Example:

"00123"

city
string
required

City name

Example:

"Copenhagen"

countryCode
string
required

ISO-31661 alpha-2 country code of the CPO that 'owns' this location.

Example:

"DK"

partyId
string
required

ID of the CPO that 'owns' this location (following the ISO-15118 standard)

Example:

"SPI"

coordinates
object
required

Geographical coordinates of the location

publish
boolean
required

Defines if a location may be published on websites & apps etc. This will be true for public locations

Example:

true

evses
object[]
required

List of EVSEs at the location

operator
object
required

Information of the operator

lastUpdated
string
required

Last update timestamp

Example:

"2025-01-27 09:38:41"

allowPriorityCharging
boolean
required

Information about if a location allows priority charging

Example:

true

parkingType
enum<string>

Type of parking available.

The mapping of the parkingType to the Spirii location Type is visible in the table below:

[ParkingType] - [Spirii Location Type]

ON_STREET - Public road

ON_DRIVEWAY - Residential

PARKING_LOT - Parking lot

PARKING_GARAGE - Parking lot (indoor)

UNDERGROUND_GARAGE - Parking lot (underground)

OTHER - Hotel

Available options:
ON_STREET,
PARKING_GARAGE,
UNDERGROUND_GARAGE,
PARKING_LOT,
OTHER,
ON_DRIVEWAY
Example:

"ON_STREET"

facilities
enum<string>[]

List of available facilities at the location

Available options:
HOTEL,
RESTAURANT,
CAFE,
MALL,
SUPERMARKET,
SPORT,
RECREATION_AREA,
NATURE,
MUSEUM,
BIKE_SHARING,
BUS_STOP,
TAXI_STAND,
TRAIN_STATION,
METRO_STATION,
AIRPORT,
PARKING_LOT,
CARPOOL_PARKING,
FUEL_STATION,
WIFI,
RESTROOM,
SHOWER,
CAR_WASH,
SHOPPING_AREA,
MEDICAL_CENTER,
HOTEL_RESERVATION,
TICKET_SERVICE,
PUBLIC_TRANSPORT
Example:
["WIFI", "RESTROOM"]
directions
object[]

Human-readable directions on how to reach the location

openingTimes
object

The times when the EVSEs at the location can be accessed for charging

owner
object

Information about the owner of the location, if available. The 'owner' represents a legacy concept of a 'customer' in the Spirii Connect portal/UI, retained for backward compatibility.

customer
object

Information about the customer that 'owns' the location. This represents the current terminology for identifying the customer associated with the location in the Spirii Connect portal.

energyMix
object

Details on the energy supplied at this location

helpPhone
string

A telephone number that a Driver using the Location may call for assistance.

Example:

"4550505050"

billingReference
string

An optional identifier used to reference specific charging sessions or transactions in invoices

Example:

"Identifier text"